#pig function
execute as @e[tag=pig,type=pig,x=356,y=7,z=-803,distance=..1] run scoreboard players set @s facing -1
execute as @e[tag=pig,type=pig,x=365,y=7,z=-803,distance=..1] run scoreboard players set @s facing 1
execute as @e[tag=pig,type=pig,scores={facing=-1}] run data merge entity @e[name=Gerald,type=villager,limit=1] {Rotation:[-90.0f,0.0f]}
execute as @e[tag=pig,type=pig,scores={facing=1}] run data merge entity @e[name=Gerald,type=villager,limit=1] {Rotation:[90.0f,0.0f]}
execute as @e[tag=pig,type=pig,scores={facing=-1}] at @s run tp @s ~0.05 ~ ~ -90 ~
execute as @e[tag=pig,type=pig,scores={facing=1}] at @s run tp @s ~-0.05 ~ ~ 90 ~

#obtained raw porkchop
execute as @a[scores={player=1..,killPig=1..}] run give @s porkchop{display:{Name:'{"text":"Raw Porkchop","italic":"false"}'}}
execute as @a[scores={player=1..,killPig=1..}] run scoreboard players add @e[tag=controller,type=armor_stand] ingredients 1
execute as @a[scores={player=1..,killPig=1..}] as @a at @s run playsound entity.player.levelup master @s ~ ~ ~ 1000
execute as @a[scores={player=1..,killPig=1..}] run tellraw @a [{"text":"","extra":[{"selector":"@a[scores={killPig=1..}]"}]},{"text":" has received a Raw Porkchop","color":"green","bold":"true"}]
execute as @a[scores={player=1..,killPig=1..}] run tag @e[tag=controller,type=armor_stand] add rawPorkchop
execute as @a[scores={player=1..,killPig=1..}] run tag @e[name=Gerald,type=villager] add killedPig
execute as @a[scores={player=1..,killPig=1..}] run scoreboard objectives remove killPig

#sheep section
execute as @e[tag=sheepster,type=sheep,scores={fireworkColor=0..}] run function single:sheepcolor

data merge entity @e[tag=sheepster,type=sheep,limit=1] {Rotation:[180.0f,0.0f]}

#sheep jump
execute as @e[tag=sheepster,type=sheep,scores={sheepColor=14}] run scoreboard players add @s jumpTime 1

execute as @e[tag=sheepster,type=sheep,scores={sheepColor=14,jumpTime=25..}] run data merge entity @e[tag=sheepster,type=sheep,limit=1] {Motion:[0.0,0.4,0.0]}
execute as @e[tag=sheepster,type=sheep,scores={sheepColor=14,jumpTime=25..}] run scoreboard players set @s jumpTime 0

execute unless entity @e[tag=sheepster,type=sheep,scores={sheepColor=14,jumpTime=1..}] run scoreboard players set @s jumpTime 0

#jump boost
execute as @e[tag=sheepster,type=sheep,scores={sheepColor=14}] run effect give @a[x=208,y=1,z=-921,dx=96,dy=24,dz=72] jump_boost 1 1 true
#208 1 -921 304 25 -849

#portals
execute as @e[tag=controller,type=armor_stand,scores={scene=5},tag=!slimeball] run particle portal 277 10 -906 1.5 2 1 0 100 force @a
execute as @e[tag=controller,type=armor_stand,scores={scene=5},tag=!slimeball] run particle portal 269 1 -770 1 0.7 1 0 50 force @a

execute as @e[tag=controller,type=armor_stand,scores={scene=5},tag=!slimeball] as @a[x=268,y=1,z=-771,dx=2,dy=1,dz=2] at @s run playsound entity.enderman.teleport master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5},tag=!slimeball] as @a[x=268,y=1,z=-771,dx=2,dy=1,dz=2] run tp @s 277 6 -902 0 0

execute as @e[tag=controller,type=armor_stand,scores={scene=5},tag=!slimeball] as @a[x=274,y=6,z=-906,dx=6,dy=6,dz=1] at @s run playsound entity.enderman.teleport master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5},tag=!slimeball] as @a[x=274,y=6,z=-906,dx=6,dy=6,dz=1] run tp @s 273 4 -778 -140 0

#dangerous water
execute unless entity @e[tag=sheepster,type=sheep,scores={sheepColor=11}] as @a[x=208,y=1,z=-921,dx=96,dy=24,dz=72] at @s if block ~ ~ ~ water run tellraw @s [{"text":"The water's chemicals aren't safe.","color":"white"}]
execute unless entity @e[tag=sheepster,type=sheep,scores={sheepColor=11}] as @a[x=208,y=1,z=-921,dx=96,dy=24,dz=72] at @s if block ~ ~ ~ water run kill @s
execute unless entity @e[tag=sheepster,type=sheep,scores={sheepColor=11}] as @a[x=208,y=1,z=-921,dx=96,dy=24,dz=72] at @s if block ~ ~ ~ water run tp @s ~ ~-3 ~

#offering pedal stool
tag @a remove holdOrchid
tag @a[nbt={SelectedItem:{id:"minecraft:blue_orchid"}}] add holdOrchid
tag @a remove holdMap
tag @a[nbt={SelectedItem:{id:"minecraft:snow"}}] add holdMap

tag @a[tag=onStool] remove onStool
execute as @a[x=276,y=7,z=-886,dx=2,dy=3,dz=2] run tag @s add onStool

execute as @e[tag=sheepster,type=sheep,tag=!endSheep] as @a[tag=onStool,tag=!onStool2] at @s run playsound entity.sheep.ambient master @s ~ ~ ~ 1000

execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={sneak=1..,danceForSheep=9}] run scoreboard players add @s danceForSheep 1
execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={jump=1..,danceForSheep=9}] run scoreboard players set @s danceForSheep 0

execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={jump=1..,danceForSheep=8}] run scoreboard players add @s danceForSheep 1
execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={sneak=1..,danceForSheep=8}] run scoreboard players add @s danceForSheep 0

execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={jump=1..,danceForSheep=7}] run scoreboard players add @s danceForSheep 1
execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={sneak=1..,danceForSheep=7}] run scoreboard players set @s danceForSheep 0

execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={jump=1..,danceForSheep=6}] run scoreboard players add @s danceForSheep 1

execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={sneak=1..,danceForSheep=5}] run scoreboard players add @s danceForSheep 1
execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={jump=1..,danceForSheep=5}] run scoreboard players set @s danceForSheep 0

execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={jump=1..,danceForSheep=4}] run scoreboard players add @s danceForSheep 1
execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={sneak=1..,danceForSheep=4}] run scoreboard players set @s danceForSheep 0

execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={jump=1..,danceForSheep=3}] run scoreboard players add @s danceForSheep 1

execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={sneak=1..,danceForSheep=2}] run scoreboard players add @s danceForSheep 1
execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={jump=1..,danceForSheep=2}] run scoreboard players set @s danceForSheep 0

execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={jump=1..,danceForSheep=1}] run scoreboard players add @s danceForSheep 1

execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={sneak=1..,danceForSheep=0}] run scoreboard players add @s danceForSheep 1

execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=onStool,scores={danceForSheep=10..}] run scoreboard players set @e[tag=sheepster,type=sheep] danceForSheep 10

scoreboard players reset * sneak
scoreboard players reset * jump

execute unless entity @e[tag=sheepster,type=sheep,scores={sheepColor=8}] run scoreboard players set @a[scores={danceForSheep=1..}] danceForSheep 0
execute as @e[tag=sheepster,type=sheep,scores={sheepColor=8}] as @a[tag=!onStool,scores={danceForSheep=1..}] run scoreboard players set @s danceForSheep 0

execute as @e[tag=sheepster,type=sheep,tag=!endSheep,scores={sheepColor=8,danceForSheep=10}] as @a at @s run playsound entity.ender_dragon.growl master @s ~ ~ ~ 1000 1.4
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,scores={sheepColor=8,danceForSheep=10}] run tellraw @a [{"text":"Sheepster: ","color":"gray","bold":"true"},{"text":"AHHHHHHHHHHHHHHHHH!!!!!!!!!!!! I LOOOOOVE ITTTT!!!!!!!!!!!! THE DANCE MOVES ARE FABULOUUUUUSSSSS!!","color":"gray","bold":"false"}]
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,scores={sheepColor=8,danceForSheep=10}] run fill 275 12 -875 279 8 -879 air destroy
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,scores={sheepColor=8,danceForSheep=10}] run setblock 287 6 -898 air destroy
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,scores={sheepColor=8,danceForSheep=10}] run fill 290 6 -898 290 7 -898 air destroy
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,scores={sheepColor=8,danceForSheep=10}] run fill 294 6 -898 294 8 -898 air destroy
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,scores={sheepColor=8,danceForSheep=10}] run fill 294 6 -902 294 9 -902 air destroy
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,scores={sheepColor=8,danceForSheep=10}] run fill 294 6 -906 294 10 -906 air destroy
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,scores={sheepColor=8,danceForSheep=10}] run scoreboard objectives remove danceForSheep

execute as @e[tag=sheepster,type=sheep,tag=!endSheep] as @a[tag=onStool,tag=!onStool2,tag=!holdOrchid,tag=!holdOrchid2,tag=!holdMap,tag=!holdMap2] run tellraw @s [{"text":"You're holding nothing of value to the almighty Sheepster.","color":"white"}]

execute as @e[tag=sheepster,type=sheep,tag=!endSheep,tag=!didOrchid] unless entity @e[tag=sheepster,scores={sheepColor=3}] as @a[tag=onStool,tag=!onStool2,tag=holdOrchid] run tellraw @s [{"text":"The almighty Sheepster wishes to match colors with the orchid, in turn he will open his mini garden and grant you the evermore pleasurable viewing of his orchids.","color":"white"}]

execute as @e[tag=sheepster,type=sheep,tag=!endSheep,tag=didOrchid] as @a[tag=onStool,tag=!onStool2,tag=holdOrchid,tag=!holdOrchid2] run tellraw @s [{"text":"You're holding nothing of value to the almighty Sheepster.","color":"white"}]

execute as @e[tag=sheepster,type=sheep,tag=!endSheep,scores={sheepColor=3},tag=!didOrchid] as @a[tag=onStool,tag=!onStool2,tag=holdOrchid,limit=1] run tellraw @a [{"text":"The almighty Sheepster appreciates the aesthetic of matching with the orchid and has opened his mini garden for viewing.","color":"white"}]
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,scores={sheepColor=3},tag=!didOrchid] as @a[tag=onStool,tag=!onStool2,tag=holdOrchid,limit=1] run fill 293 7 -877 293 10 -879 air destroy
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,scores={sheepColor=3},tag=!didOrchid] as @a[tag=onStool,tag=!onStool2,tag=holdOrchid,limit=1] run setblock 293 11 -878 air destroy
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,scores={sheepColor=3},tag=!didOrchid] as @a[tag=onStool,tag=!onStool2,tag=holdOrchid,limit=1] run tag @e[tag=sheepster] add didOrchid

execute as @e[tag=sheepster,type=sheep,tag=!endSheep,tag=byeDonald] as @a[tag=onStool,tag=!onStool2,tag=holdMap,tag=!holdMap2] run tellraw @s [{"text":"You're holding nothing of value to the almighty Sheepster.","color":"white"}]

execute as @e[tag=sheepster,type=sheep,tag=!endSheep,tag=!byeDonald] as @a[tag=onStool,tag=!onStool2,tag=holdMap,tag=!holdMap2,limit=1] run tellraw @a [{"text":"The almighty Sheepster shows his gratitude for revealing Donald's location and has taken care of him.","color":"white"}]
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,tag=!byeDonald] as @a[tag=onStool,tag=!onStool2,tag=holdMap,tag=!holdMap2,limit=1] run clear @s snow
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,tag=!byeDonald] as @a[tag=onStool,tag=!onStool2,tag=holdMap,tag=!holdMap2,limit=1] run kill @e[type=item,nbt={Item:{id:"minecraft:snow"}}]
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,tag=!byeDonald] as @a[tag=onStool,tag=!onStool2,tag=holdMap,tag=!holdMap2,limit=1] at @e[name=Donald,type=villager] run summon zombie_villager ~ ~ ~ {VillagerData:{profession:armorer,type:plains,level:6},IsBaby:0,Tags:["deadDonald"],PersistenceRequired:1,CustomName:'{"text":"Donald"}'}
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,tag=!byeDonald] as @a[tag=onStool,tag=!onStool2,tag=holdMap,tag=!holdMap2,limit=1] as @e[name=Donald,type=villager] at @s run tp @s ~ ~-10 ~
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,tag=!byeDonald] as @a[tag=onStool,tag=!onStool2,tag=holdMap,tag=!holdMap2,limit=1] run kill @e[name=Donald,type=villager]
execute as @e[tag=sheepster,type=sheep,tag=!endSheep,tag=!byeDonald] as @a[tag=onStool,tag=!onStool2,tag=holdMap,tag=!holdMap2,limit=1] run tag @e[tag=sheepster] add byeDonald

tag @a[nbt={SelectedItem:{id:"minecraft:blue_orchid"}}] add holdOrchid2
tag @a remove holdOrchid2
tag @a[nbt={SelectedItem:{id:"minecraft:snow"}}] add holdMap2
tag @a remove holdMap2

tag @a remove onStool2
execute as @a[x=276,y=7,z=-886,dx=2,dy=3,dz=2] run tag @s add onStool2

#sponge key
execute as @e[tag=controller,type=armor_stand,tag=!spongeKeyPlaced] if block 216 7 -862 redstone_block run fill 214 6 -861 214 8 -857 air destroy
execute as @e[tag=controller,type=armor_stand,tag=!spongeKeyPlaced] if block 216 7 -862 redstone_block run tag @e[tag=controller,type=armor_stand] add spongeKeyPlaced

#kill donald
execute as @a[scores={killDonald=1..}] run give @s redstone_block{CanPlaceOn:["minecraft:sponge"],HideFlags:16,display:{Name:'{"text":"Sponge Key","italic":"false"}'}}
execute as @a[scores={killDonald=1..}] as @a at @s run playsound entity.player.levelup master @s ~ ~ ~ 1000
execute as @a[scores={killDonald=1..}] run tellraw @s [{"text":"+1 gold","color":"yellow"}]
execute as @a[scores={killDonald=1..}] run scoreboard players add @s gold 1
execute as @a[scores={killDonald=1..}] run tellraw @a [{"text":"Donald was slain by "},{"text":"","extra":[{"selector":"@a[scores={killDonald=1..}]"}]}]
execute as @a[scores={killDonald=1..}] run tellraw @a [{"text":"","extra":[{"selector":"@a[scores={killDonald=1..}]"}]},{"text":" has received the Sponge Key","color":"green","bold":"true"}]
execute as @a[scores={killDonald=1..}] run scoreboard objectives remove killDonald

#donald talk
execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,scores={timer=0},tag=!givenMap] at @s as @a[scores={talk=1},limit=1,distance=..5] run tellraw @a [{"text":"[1/7] ","color":"gray","bold":"true"},{"text":"Donald: ","color":"gold","bold":"true"},{"text":"..Ehhh.. Ahem. A-are you a part of the sheep's mischief or are you real?","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,scores={timer=0},tag=!givenMap] at @s as @a[scores={talk=1},limit=1,distance=..5] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,scores={timer=0},tag=!givenMap] at @s as @a[scores={talk=1},limit=1,distance=..5] run scoreboard players set @e[name=Donald] timer 1

execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,scores={time=90}] run tellraw @a [{"text":"[2/7] ","color":"gray","bold":"true"},{"text":"Donald: ","color":"gold","bold":"true"},{"text":"You're real? You seem real, so I'll trust you.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,scores={time=90}] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,scores={time=250}] run tellraw @a [{"text":"[3/7] ","color":"gray","bold":"true"},{"text":"Donald: ","color":"gold","bold":"true"},{"text":"Looks like you figured out the water trick. Let me give you some friendly advice, there's a secret passage through the water in the brown wool room.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,scores={time=250}] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,scores={time=410}] run tellraw @a [{"text":"[4/7] ","color":"gray","bold":"true"},{"text":"Donald: ","color":"gold","bold":"true"},{"text":"Anyways, I can't talk much. I've been hiding here for a while now and I don't want to risk the sheep finding me.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,scores={time=410}] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,scores={time=570}] run tellraw @a [{"text":"[5/7] ","color":"gray","bold":"true"},{"text":"Donald: ","color":"gold","bold":"true"},{"text":"I'll warn you though, he's crazy. Don't do what he wants.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,scores={time=570}] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,scores={time=730}] run tellraw @a [{"text":"[6/7] ","color":"gray","bold":"true"},{"text":"Donald: ","color":"gold","bold":"true"},{"text":"Sorry, but I can't risk talking anymore. Here, take this map of the maze's layout, use it to find me again if you ever get lost.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,scores={time=730}] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,scores={time=890}] run function single:donaldmap

execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,tag=givenMap] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Donald: ","color":"gold","bold":"true"},{"text":"...","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,tag=givenMap] at @s as @a[scores={talk=1},distance=..5] at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5}] as @e[name=Donald,type=villager,tag=givenMap] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

#sheepster's end
execute as @e[tag=sheepster,type=sheep,scores={happiness=12}] as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31] run tag @e[tag=sheepster,type=sheep] add endSheep
execute as @e[tag=sheepster,type=sheep,scores={happiness=12}] as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31] run setblock 277 7 -880 air destroy
execute as @e[tag=sheepster,type=sheep,scores={happiness=12}] as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31] run data merge entity @e[tag=sheepster,type=sheep,limit=1] {Health:1,Attributes:[{Name:"generic.maxHealth",Base:1f}],Invulnerable:0,CustomNameVisible:0,CustomName:'{"text":"jeb_"}'}
execute as @e[tag=sheepster,type=sheep,scores={happiness=12}] as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31] run scoreboard players set @e[tag=sheepster] timer 1
execute as @e[tag=sheepster,type=sheep,scores={happiness=12}] as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31] run scoreboard objectives remove fireworkColor
execute as @e[tag=sheepster,type=sheep,scores={happiness=12}] as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31] run scoreboard objectives remove sheepColor
execute as @e[tag=sheepster,type=sheep,scores={happiness=12}] as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31] run scoreboard objectives remove happiness

execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=40}] run tellraw @a [{"text":"Sheepster: ","color":"aqua","bold":"true"},{"text":"WHOOOooOOOOooo- I'm crazy! You fell for it! YOU MADE ME GOD!","color":"aqua","bold":"false"}]
execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=40}] as @a at @s run playsound entity.sheep.death master @s ~ ~ ~ 1000 0.7

execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=100}] run tellraw @a [{"text":"Sheepster: ","color":"red","bold":"true"},{"text":"I'm so crazy, I'm gonna do something INSANE, WHOOOOOO!!","color":"red","bold":"false"}]
execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=100}] as @a at @s run playsound entity.sheep.hurt master @s ~ ~ ~ 1000 0.5

execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=160}] run tellraw @a [{"text":"Sheepster: ","color":"green","bold":"true"},{"text":"That's it, I'm gonna close the portal!","color":"green","bold":"false"}]
execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=160}] as @a at @s run playsound entity.sheep.death master @s ~ ~ ~ 1000 0.8

execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=220}] run tellraw @a [{"text":"Sheepster: ","color":"yellow","bold":"true"},{"text":"HAHA","color":"yellow","bold":"false"}]
execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=220}] as @a at @s run playsound entity.sheep.death master @s ~ ~ ~ 1000 0.6

execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=280}] run tellraw @a [{"text":"Sheepster: ","color":"dark_blue","bold":"true"},{"text":"I'm INSANE, I'm gonna trap you in here forever!","color":"dark_blue","bold":"false"}]
execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=280}] as @a at @s run playsound entity.sheep.hurt master @s ~ ~ ~ 1000 0.6

execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=340}] run tellraw @a [{"text":"Sheepster: ","color":"black","bold":"true"},{"text":"WHOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO","color":"black","bold":"false"}]
execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=340}] as @a at @s run playsound entity.sheep.death master @s ~ ~ ~ 1000 0.3

execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=400}] run tellraw @a [{"text":"Sheepster: ","color":"white","bold":"true"},{"text":"Don't touch me, I'm crazy!","color":"white","bold":"false"}]
execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=400}] as @a at @s run playsound entity.sheep.death master @s ~ ~ ~ 1000 0.7

execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=460}] run tellraw @a [{"text":"Sheepster: ","color":"dark_purple","bold":"true"},{"text":"I'm invincible! Don't mess with me! I. AM. YOUR. GOD.","color":"dark_purple","bold":"false"}]
execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=460}] as @a at @s run playsound entity.sheep.hurt master @s ~ ~ ~ 1000 0.7

execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=520}] run tellraw @a [{"text":"Sheepster: ","color":"gray","bold":"true"},{"text":"You fool, you gave me powers greater than a popeyes chicken sandwich gives my tastebuds!","color":"gray","bold":"false"}]
execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=520}] as @a at @s run playsound entity.sheep.hurt master @s ~ ~ ~ 1000 0.8

execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=580}] run tellraw @a [{"text":"Sheepster: ","color":"light_purple","bold":"true"},{"text":"HAHAHAHhahahhaHAHAHAHHa!","color":"light_purple","bold":"false"}]
execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=580}] as @a at @s run playsound entity.sheep.ambient master @s ~ ~ ~ 1000 0.7

execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=640}] run tellraw @a [{"text":"Sheepster: ","color":"dark_red","bold":"true"},{"text":"I'm about to go PSYCHO MODE.","color":"dark_red","bold":"false"}]
execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=640}] as @a at @s run playsound entity.sheep.death master @s ~ ~ ~ 1000 0.6

execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=700}] run tellraw @a [{"text":"Sheepster: ","color":"gold","bold":"true"},{"text":"The portal, I'll close it, I swear!!","color":"gold","bold":"false"}]
execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=700}] as @a at @s run playsound entity.sheep.death master @s ~ ~ ~ 1000 0.8

execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=760}] run tellraw @a [{"text":"Sheepster: ","color":"dark_red","bold":"true"},{"text":"Seriously, don't touch me! I am beyond your existence!","color":"dark_red","bold":"false"}]
execute as @a[x=269,y=1,z=-904,dx=16,dy=14,dz=31,limit=1] as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=760}] as @a at @s run playsound entity.sheep.hurt master @s ~ ~ ~ 1000 0.9
execute as @e[tag=sheepster,type=sheep,tag=endSheep,scores={time=760}] run scoreboard players set @s time 0

execute as @a[scores={killSheepster=1..}] run function single:killsheepster

#talk before ingredients
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[name=Elizabeth,type=villager] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Elizabeth: ","color":"gold","bold":"true"},{"text":"Sorry to break it to you, but I haven't seen any of those items anywhere around here.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[name=Elizabeth,type=villager] at @s as @a[scores={talk=1},distance=..5] at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[name=Elizabeth,type=villager] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[tag=steve,type=villager] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Crazy Steve: ","color":"gold","bold":"true"},{"text":"...","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[tag=steve,type=villager] at @s as @a[scores={talk=1},distance=..5] at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[tag=steve,type=villager] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[tag=gatekeeper,type=villager] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Gatekeeper Joe: ","color":"gold","bold":"true"},{"text":"I'm not necessarily sure if I've seen a blue orchid, but there may be one near the graves.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[tag=gatekeeper,type=villager] at @s as @a[scores={talk=1},distance=..5] at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[tag=gatekeeper,type=villager] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[tag=mayor,type=villager] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Mayor Wendall: ","color":"gold","bold":"true"},{"text":"Come back to me once you've collected a blue orchid, a raw porkchop, and a slimeball.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[tag=mayor,type=villager] at @s as @a[scores={talk=1},distance=..5] at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[tag=mayor,type=villager] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[name=Gilbert,type=villager] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Gilbert: ","color":"gold","bold":"true"},{"text":"Don't come talking to me about potion ingredients, all I care about is- CANDY CANDY CANDY!!!","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[name=Gilbert,type=villager] at @s as @a[scores={talk=1},distance=..5] at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[name=Gilbert,type=villager] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[name=Nicole,type=villager] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Nicole: ","color":"gold","bold":"true"},{"text":"This area is full of surreal activity. I was just brewing a new potion inside and it exploded and formed some sort of portal.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[name=Nicole,type=villager] at @s as @a[scores={talk=1},distance=..5] at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[name=Nicole,type=villager] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[name=Gerald,type=villager,tag=!killedPig] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Gerald: ","color":"gold","bold":"true"},{"text":"Whoooooo!! I finally saved up enough to buy my new best friend, Oinkers. ;)","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[name=Gerald,type=villager,tag=!killedPig] at @s as @a[scores={talk=1},distance=..5] at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[name=Gerald,type=villager,tag=!killedPig] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[name=Gerald,type=villager,tag=killedPig] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Gerald: ","color":"gold","bold":"true"},{"text":"Did you really just kill my pig.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[name=Gerald,type=villager,tag=killedPig] at @s as @a[scores={talk=1},distance=..5] at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=..2}] as @e[name=Gerald,type=villager,tag=killedPig] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

#talk after ingredients
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[name=Elizabeth,type=villager] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Elizabeth: ","color":"gold","bold":"true"},{"text":"I'm glad you were able to find all of the items you were looking for.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[name=Elizabeth,type=villager] at @s as @a[scores={talk=1},distance=..5] at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[name=Elizabeth,type=villager] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[tag=steve,type=villager] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Crazy Steve: ","color":"gold","bold":"true"},{"text":"吉爾伯特的地外生物","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[tag=steve,type=villager] at @s as @a[scores={talk=1},distance=..5] at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[tag=steve,type=villager] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[tag=gatekeeper,type=villager] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Gatekeeper Joe: ","color":"gold","bold":"true"},{"text":"Did you find the blue orchid around the graves?","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[tag=gatekeeper,type=villager] at @s as @a[scores={talk=1},distance=..5] at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[tag=gatekeeper,type=villager] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[name=Gilbert,type=villager] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Gilbert: ","color":"gold","bold":"true"},{"text":"Life is good, candy is great.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[name=Gilbert,type=villager] at @s as @a[scores={talk=1},distance=..5] at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[name=Gilbert,type=villager] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[name=Nicole,type=villager] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Nicole: ","color":"gold","bold":"true"},{"text":"I don't get what I did wrong to have my experimental potion form a portal?","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[name=Nicole,type=villager] at @s as @a[scores={talk=1},distance=..5] at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[name=Nicole,type=villager] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[name=Gerald,type=villager] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Gerald: ","color":"gold","bold":"true"},{"text":"I'm never going to get over the fact that you killed my pig without hesitation.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[name=Gerald,type=villager] at @s as @a[scores={talk=1},distance=..5] at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..}] as @e[name=Gerald,type=villager] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

#return ingredients
execute as @e[tag=controller,type=armor_stand,scores={ingredients=3..},tag=!tpMayorIngredients] run tp @e[tag=mayor] 282 5 -824
execute as @e[tag=controller,type=armor_stand,scores={ingredients=3..},tag=!tpMayorIngredients] run setblock 281 5 -823 brewing_stand
execute as @e[tag=controller,type=armor_stand,scores={ingredients=3..},tag=!tpMayorIngredients] run data merge block 281 5 -823 {Lock:"nokey"}
execute as @e[tag=controller,type=armor_stand,scores={ingredients=3..},tag=!tpMayorIngredients] run tag @s add tpMayorIngredients

execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..,timer=0}] as @e[tag=mayor,type=villager] at @s as @a[scores={talk=1},distance=..5,limit=1] run tellraw @a [{"text":"[1/6] ","color":"gray","bold":"true"},{"text":"Mayor Wendall: ","color":"gold","bold":"true"},{"text":"Aha! Excellent work on collecting all of the potion ingredients! Now, give me a minute to craft the potion that'll shrink you.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..,timer=0}] as @e[tag=mayor,type=villager] at @s as @a[scores={talk=1},distance=..5,limit=1] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..,timer=0}] as @e[tag=mayor,type=villager] at @s as @a[scores={talk=1},distance=..5,limit=1] as @e[tag=mayor] at @s run tp @a[distance=7..,scores={player=1..}] @p
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..,timer=0}] as @e[tag=mayor,type=villager] at @s as @a[scores={talk=1},distance=..5,limit=1] run clear @a slime_ball
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..,timer=0}] as @e[tag=mayor,type=villager] at @s as @a[scores={talk=1},distance=..5,limit=1] run clear @a blue_orchid
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..,timer=0}] as @e[tag=mayor,type=villager] at @s as @a[scores={talk=1},distance=..5,limit=1] run clear @a porkchop
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..,timer=0}] as @e[tag=mayor,type=villager] at @s as @a[scores={talk=1},distance=..5,limit=1] run kill @e[type=item,nbt={Item:{id:"minecraft:slime_ball"}}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..,timer=0}] as @e[tag=mayor,type=villager] at @s as @a[scores={talk=1},distance=..5,limit=1] run kill @e[type=item,nbt={Item:{id:"minecraft:blue_orchid"}}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..,timer=0}] as @e[tag=mayor,type=villager] at @s as @a[scores={talk=1},distance=..5,limit=1] run kill @e[type=item,nbt={Item:{id:"minecraft:porkchop"}}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,ingredients=3..,timer=0}] as @e[tag=mayor,type=villager] at @s as @a[scores={talk=1},distance=..5,limit=1] run scoreboard players set @e[tag=controller] timer 1

execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=160,ingredients=3..}] run tellraw @a [{"text":"[2/6] ","color":"gray","bold":"true"},{"text":"Mayor Wendall: ","color":"gold","bold":"true"},{"text":"That's right, the potion isn't necessarily the cure. The potion will shrink you so you can enter my head to find and remove the black flower.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=160,ingredients=3..}] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=350,ingredients=3..}] run tellraw @a [{"text":"[3/6] ","color":"gray","bold":"true"},{"text":"Mayor Wendall: ","color":"gold","bold":"true"},{"text":"The illusioner planted a true and a false black flower. The true black flower is the root of the curse, with the Tree Elder's help we've found where the true one is.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=350,ingredients=3..}] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=540,ingredients=3..}] run tellraw @a [{"text":"[4/6] ","color":"gray","bold":"true"},{"text":"Mayor Wendall: ","color":"gold","bold":"true"},{"text":"I hope you understand why I had to lie to you. Without further ado, I'll craft the potion.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=540,ingredients=3..}] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=640..740,ingredients=3..}] as @e[tag=mayor,type=villager] at @s run tp @e[tag=mayor] ~ ~ ~ 45 35

execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=650,ingredients=3..}] run particle cloud 281 5 -823 0.3 0.3 0.3 0 5 force
execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=650,ingredients=3..}] as @e[tag=mayor,type=villager] at @s run playsound block.anvil.place master @a ~ ~ ~ 3

execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=660,ingredients=3..}] run particle cloud 281 5 -823 0.3 0.3 0.3 0 5 force
execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=660,ingredients=3..}] as @e[tag=mayor,type=villager] at @s run playsound block.anvil.place master @a ~ ~ ~ 3

execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=670,ingredients=3..}] run particle cloud 281 5 -823 0.3 0.3 0.3 0 5 force
execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=670,ingredients=3..}] as @e[tag=mayor,type=villager] at @s run playsound block.anvil.place master @a ~ ~ ~ 3

execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=680,ingredients=3..}] run particle cloud 281 5 -823 0.3 0.3 0.3 0 5 force
execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=680,ingredients=3..}] as @e[tag=mayor,type=villager] at @s run playsound block.anvil.place master @a ~ ~ ~ 3

execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=690,ingredients=3..}] run particle cloud 281 5 -823 0.3 0.3 0.3 0 5 force
execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=690,ingredients=3..}] as @e[tag=mayor,type=villager] at @s run playsound block.anvil.place master @a ~ ~ ~ 3

execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=700,ingredients=3..}] run particle cloud 281 5 -823 0.3 0.3 0.3 0 5 force
execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=700,ingredients=3..}] as @e[tag=mayor,type=villager] at @s run playsound block.anvil.place master @a ~ ~ ~ 3

execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=710,ingredients=3..}] run particle cloud 281 5 -823 0.3 0.3 0.3 0 5 force
execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=710,ingredients=3..}] as @e[tag=mayor,type=villager] at @s run playsound block.anvil.place master @a ~ ~ ~ 3

execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=720,ingredients=3..}] run particle cloud 281 5 -823 0.3 0.3 0.3 0 5 force
execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=720,ingredients=3..}] as @e[tag=mayor,type=villager] at @s run playsound block.anvil.place master @a ~ ~ ~ 3

execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=730,ingredients=3..}] run particle cloud 281 5 -823 0.3 0.3 0.3 0 5 force
execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=730,ingredients=3..}] as @e[tag=mayor,type=villager] at @s run playsound block.anvil.place master @a ~ ~ ~ 3

execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=740,ingredients=3..}] run particle cloud 281 5 -823 0.3 0.3 0.3 0 5 force
execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=740,ingredients=3..}] as @e[tag=mayor,type=villager] at @s run playsound block.anvil.place master @a ~ ~ ~ 3

execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=770,ingredients=3..}] run tellraw @a [{"text":"[5/6] ","color":"gray","bold":"true"},{"text":"Mayor Wendall: ","color":"gold","bold":"true"},{"text":"Alright, I've finished crafting it. Drink it whenever you're ready.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=770,ingredients=3..}] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={scene=5,time=860,ingredients=3..}] run function single:day1pt5