#enable disaster triggers
scoreboard players enable @a[scores={player=1..}] d1
scoreboard players enable @a[scores={player=1..}] d2
scoreboard players enable @a[scores={player=1..}] d3
scoreboard players enable @a[scores={player=1..}] d4

#turn earthquake on
execute as @e[tag=controller,type=armor_stand,scores={d1=0}] as @a[scores={d1=1..}] run function single:d1on

#turn earthquake off
execute as @e[tag=controller,type=armor_stand,scores={d1=1}] as @a[scores={d1=1..}] run function single:d1off

#turn spin on
execute as @e[tag=controller,type=armor_stand,scores={d2=0}] as @a[scores={d2=1..}] run function single:d2on

#turn spin off
execute as @e[tag=controller,type=armor_stand,scores={d2=1}] as @a[scores={d2=1..}] run function single:d2off

#turn levitation on
execute as @e[tag=controller,type=armor_stand,scores={d3=0}] as @a[scores={d3=1..}] run function single:d3on

#turn levitation off
execute as @e[tag=controller,type=armor_stand,scores={d3=1}] as @a[scores={d3=1..}] run function single:d3off

#turn particles on
execute as @e[tag=controller,type=armor_stand,scores={d4=0}] as @a[scores={d4=1..}] run function single:d4on

#turn particles off
execute as @e[tag=controller,type=armor_stand,scores={d4=1}] as @a[scores={d4=1..}] run function single:d4off

#earthquake function
execute as @e[tag=controller,type=armor_stand,scores={d1=1..}] run scoreboard players add @s shake 1

execute as @e[tag=controller,type=armor_stand,scores={d1=1..,shake=1..4}] as @a[scores={player=1..}] at @s run tp @s ~ ~ ~ ~ ~3
execute as @e[tag=controller,type=armor_stand,scores={d1=1..,shake=5..8}] as @a[scores={player=1..}] at @s run tp @s ~ ~ ~ ~ ~-3
execute as @e[tag=controller,type=armor_stand,scores={d1=1..,shake=8..}] run scoreboard players reset * shake

execute as @e[tag=controller,type=armor_stand,scores={d1=1..}] as @a[scores={player=1..}] at @s run playsound block.stone.place master @s ~ ~ ~ 1000 0.2

execute as @e[tag=controller,type=armor_stand,scores={d1=1..}] if block 385 14 -913 white_concrete run particle minecraft:block minecraft:white_concrete 385 13 -913 0.3 0.5 0.3 1 10 force @a
execute as @e[tag=controller,type=armor_stand,scores={d1=1..}] if block 385 14 -913 white_concrete as @a[x=385,y=12,z=-913,distance=..1] run setblock 385 14 -913 air destroy
execute as @e[tag=controller,type=armor_stand,scores={d1=1..}] if block 385 14 -913 white_concrete as @e[type=villager,name=Macy,x=385,y=12,z=-913,distance=..1] run setblock 385 14 -913 air destroy

#spin function
execute as @e[tag=controller,type=armor_stand,scores={d2=1..}] as @a[scores={player=1..}] at @s run tp @s ~ ~ ~ ~1 ~
execute as @e[tag=controller,type=armor_stand,scores={d2=1..}] as @e[name=Macy,type=villager] at @s run tp @s ~ ~ ~ ~1 ~

execute as @e[tag=controller,type=armor_stand,scores={scene=7,d2=1..}] as @e[name=Macy,type=villager] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Macy: ","color":"gold","bold":"true"},{"text":"AAaaAAAgggGHhhh!! This dizziness is maddening! I hate that illusioner for planting me inside of this ignorant villager's head!","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=7,d2=1..}] as @e[name=Macy,type=villager] at @s as @a[scores={talk=1},distance=..5] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=7,d2=1..}] as @e[name=Macy,type=villager] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

#levitation function
execute as @e[tag=controller,type=armor_stand,scores={d3=1..}] run effect give @a[scores={player=1..}] levitation 1 0 true
execute as @e[tag=controller,type=armor_stand,scores={d3=1..}] run effect give @e[name=Macy,type=villager] levitation 1 0 true

#particles function
execute as @e[tag=controller,type=armor_stand,scores={d4=1..}] as @e[name=Macy,type=villager] at @s run particle damage_indicator ~ ~1 ~ 0.3 0.6 0.3 0 10 force

#talk to macy
execute as @e[tag=controller,type=armor_stand,scores={scene=7,d2=0}] as @e[name=Macy,type=villager] at @s as @a[scores={talk=1},distance=..5] run tellraw @s [{"text":"Macy: ","color":"gold","bold":"true"},{"text":"Good evening.","color":"gold","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={scene=7,d2=0}] as @e[name=Macy,type=villager] at @s as @a[scores={talk=1},distance=..5] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[tag=controller,type=armor_stand,scores={scene=7,d2=0}] as @e[name=Macy,type=villager] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

#kill macy
execute as @e[name=Macy,type=villager] at @s if block ~ ~ ~ lava run data merge entity @e[name=Macy,type=villager,limit=1] {Invulnerable:0}

execute unless entity @e[name=Macy,type=villager] as @e[tag=controller,type=armor_stand,scores={scene=7}] run tellraw @a {"text":"Macy was burnt to a crisp"}
execute unless entity @e[name=Macy,type=villager] as @e[tag=controller,type=armor_stand,scores={scene=7}] as @a at @s run playsound entity.villager.death master @s ~ ~ ~ 1000
execute unless entity @e[name=Macy,type=villager] as @e[tag=controller,type=armor_stand,scores={scene=7}] run scoreboard objectives remove d1
execute unless entity @e[name=Macy,type=villager] as @e[tag=controller,type=armor_stand,scores={scene=7}] run scoreboard objectives remove d2
execute unless entity @e[name=Macy,type=villager] as @e[tag=controller,type=armor_stand,scores={scene=7}] run scoreboard objectives remove d3
execute unless entity @e[name=Macy,type=villager] as @e[tag=controller,type=armor_stand,scores={scene=7}] run scoreboard objectives remove d4
execute unless entity @e[name=Macy,type=villager] as @e[tag=controller,type=armor_stand,scores={scene=7}] run tp @a[scores={player=1..}] 372 8 -915 180 0
execute unless entity @e[name=Macy,type=villager] as @e[tag=controller,type=armor_stand,scores={scene=7}] as @a[scores={player=1..}] at @s run spawnpoint @s ~ ~ ~
execute unless entity @e[name=Macy,type=villager] as @e[tag=controller,type=armor_stand,scores={scene=7}] run team modify game collisionRule never
execute unless entity @e[name=Macy,type=villager] as @e[tag=controller,type=armor_stand,scores={scene=7}] as @a[scores={player=1..}] at @s run particle explosion ~ ~1 ~ 0.4 0.4 0.4 0 15 force
execute unless entity @e[name=Macy,type=villager] as @e[tag=controller,type=armor_stand,scores={scene=7}] run scoreboard objectives remove shake
execute unless entity @e[name=Macy,type=villager] as @e[tag=controller,type=armor_stand,scores={scene=7}] run clear @a written_book
execute unless entity @e[name=Macy,type=villager] as @e[tag=controller,type=armor_stand,scores={scene=7}] run kill @e[type=item,nbt={Item:{id:"minecraft:written_book"}}]
execute unless entity @e[name=Macy,type=villager] as @e[tag=controller,type=armor_stand,scores={scene=7}] run scoreboard players set @e[tag=controller] scene 8